### Method

# FwupdPlugin BiosSettings setup

since: 1.8.4

#### Declaration [src]

    gboolean
    fu_bios_settings_setup (
      FuBiosSettings* self
      GError** error
    )

#### Description [src]

Clears all attributes and re-initializes them. Mostly used for the test suite, but could potentially be connected to udev events for drivers being loaded or unloaded too.

Available since: 1.8.4

#### Return value

Type: `gboolean`

No description available.